Subject: Re: [PATCH 2/2] On Cygwin support both UNIX and DOS style path-names

From: Ramsay Jones <[email-masked]>
Date: Tue, 09 Aug 2011 18:26:33 +0100

Erik Faye-Lund wrote:
> On Fri, Aug 5, 2011 at 6:10 PM, Pascal Obry <[email-masked]> wrote:
>> In fact Cygwin supports both, so make Git agree with this.
>> The failing case is when a file is committed in a sub-dir of the
>> repository using a log message from a file specified with a DOS
>> style path-name. To reproduce:
>>
>>   $ cd src
>>   $ git commit -F c:\tmp\log.txt file.c
>>   fatal: could not read log file 'src/c:\tmp\log.txt': No such file \
>>   or directory.
> 
> Cygwin is a unix-layer on top of Windows, designed to play by the
> POSIX-rules. So why would you want to support Windows-style paths on
> Cygwin?
> 
> If you want a Git that handles Windows paths, use Git for Windows...

Indeed, I have to agree. This takes the cygwin port in the wrong
direction ...

ATB,
Ramsay Jones